POE::Loop::Event(3)

sub skip_tests {
  return "Event tests require the Event module" if (
    do { eval "use Event"; $@ }
  );
  my $test_name = shift;
  if ($test_name eq "k_signals_rerun" and $^O eq "MSWin32") {
    return "This test crashes Perl when run with Tk on $^O";
  }
  if ($test_name eq "wheel_readline" and $^O eq "darwin") {
    return "Event skips two of its own tests for the same reason";
  } }

NAME
POE::Loop::Event - a bridge that allows POE to be driven by Event.pm

SYNOPSIS
See POE::Loop.

DESCRIPTION
POE::Loop::Event implements the interface documented in POE::Loop. Therefore it has no documentation of its own. Please see POE::Loop for more details.

SEE ALSO
POE, POE::Loop, Event, POE::Loop::PerlSignals

AUTHORS & LICENSING
Please see POE for more information about authors, contributors, and POE's licensing.